<Type Name="IServiceContainer" FullName="System.ComponentModel.Design.IServiceContainer">
  <TypeSignature Language="C#" Value="public abstract interface IServiceContainer;" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base />
  <Interfaces>
    <Interface>
      <InterfaceName>System.IServiceProvider</InterfaceName>
    </Interface>
  </Interfaces>
  <Attributes>
    <Attribute>
      <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
    </Attribute>
  </Attributes>
  <Members>
    <Member MemberName="RemoveService">
      <MemberSignature Language="C#" Value="public virtual void RemoveService (Type serviceType, bool promote);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="serviceType" Type="System.Type" />
		<Parameter Name="promote" Type="System.Boolean" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="serviceType">To be added: an object of type 'Type'</param>
        <param name="promote">To be added: an object of type 'bool'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="RemoveService">
      <MemberSignature Language="C#" Value="public virtual void RemoveService (Type serviceType);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="serviceType" Type="System.Type" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="serviceType">To be added: an object of type 'Type'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="AddService">
      <MemberSignature Language="C#" Value="public virtual void AddService (Type serviceType, ServiceCreatorCallback callback, bool promote);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="serviceType" Type="System.Type" />
		<Parameter Name="callback" Type="System.ComponentModel.Design.ServiceCreatorCallback" />
		<Parameter Name="promote" Type="System.Boolean" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="serviceType">To be added: an object of type 'Type'</param>
        <param name="callback">To be added: an object of type 'ServiceCreatorCallback'</param>
        <param name="promote">To be added: an object of type 'bool'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="AddService">
      <MemberSignature Language="C#" Value="public virtual void AddService (Type serviceType, ServiceCreatorCallback callback);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="serviceType" Type="System.Type" />
		<Parameter Name="callback" Type="System.ComponentModel.Design.ServiceCreatorCallback" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="serviceType">To be added: an object of type 'Type'</param>
        <param name="callback">To be added: an object of type 'ServiceCreatorCallback'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="AddService">
      <MemberSignature Language="C#" Value="public virtual void AddService (Type serviceType, object serviceInstance, bool promote);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="serviceType" Type="System.Type" />
		<Parameter Name="serviceInstance" Type="System.Object" />
		<Parameter Name="promote" Type="System.Boolean" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="serviceType">To be added: an object of type 'Type'</param>
        <param name="serviceInstance">To be added: an object of type 'object'</param>
        <param name="promote">To be added: an object of type 'bool'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="AddService">
      <MemberSignature Language="C#" Value="public virtual void AddService (Type serviceType, object serviceInstance);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="serviceType" Type="System.Type" />
		<Parameter Name="serviceInstance" Type="System.Object" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="serviceType">To be added: an object of type 'Type'</param>
        <param name="serviceInstance">To be added: an object of type 'object'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
